# Zoom One - August 22, 2022 import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx"; ## Added - New **Chat** API: - `DELETE /v2/chat/channels/{channelId}/members` - New **Settings registration** APIs: - `GET /v2/accounts/{accountId}/settings/registration` - `PATCH /v2/accounts/{accountId}/settings/registration` - `GET /v2/groups/{groupId}/settings/registration` - `PATCH /v2/groups/{groupId}/settings/registration` - `GET /v2/accounts/{accountId}/groups/{groupId}/settings/registration` - `PATCH /v2/accounts/{accountId}/groups/{groupId}/settings/registration` - New **Recording Analytics** APIs: - `GET /v2/meetings/{meetingId}/recordings/analytics_summary` - `GET /v2/meetings/{meetingId}/recordings/analytics_details` - `GET /v2/accounts/{accountId}/meetings/{meetingId}/recordings/analytics_summary` - `GET /v2/accounts/{accountId}/meetings/{meetingId}/recordings/analytics_details` - New **User** API: - `GET /v2/users/summary` - New **User** API: - `POST /v2/users/features` - `GET /v2/users/{userId}/collaboration_devices` - `GET /v2/users/{userId}/collaboration_devices/{collaborationDeviceId}` - New **Meeting** API: - `GET /v2/meetings/{meetingId}/jointoken/local_archiving` - New **Webinar** API: - `GET /v2/webinars/{webinarId}/jointoken/local_archiving` - New **Recording** webhook event: - `recording.cloud_storage_usage_updated` ## Enhancements - New `channel_id` response field in the **Chat** API: - `GET /v2/report/chat/sessions` - Support sending confirmation emails in the **Meeting** API with the `registrants_confirmation_email` field: - `POST /v2/meetings/{meetingId}/batch_registrants` - New `sip_headers`, `sip_headers.from_display_name`, `sip_headers.to_display_name`, `sip_headers.from_uri` and `sip_headers.additional_headers` request fields in the **Meeting** API: - `PATCH /v2/live_meetings/{meetingId}/events` - New account setting fields(`session_security`, `approved_or_denied_countries_or_regions`, `enable`, `method`, `approved_list`, `denied_list`, `in_session`, `subsession`, `p2p_connetion`, `p2p_ports`, `ports_range`, `dscp_marking`, `dscp_audio`, `dscp_video` and `dscp_dual`) to Settings APIs and Webhook event for **Video SDK accounts**. - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - Webhook event `account.settings_updated` - New `dscp_dual` field in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - New `allow_host_to_upload_image`, `webinar_registration_options` and `allow_host_to_enable_social_share_buttons` fields in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - New `allow_host_to_upload_image` field in the following **Settings** APIs: - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - New `webinar_registration_options` field in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - New `primary_group_id` field in the following webhook event: - `user.updated` - New `Offline` present status value of `presence_status` field in the following webhook event: - `user.presence_status_updated` - New `name` field in the **SIP Connected Audio** API: - `GET /v2/accounts/{accountId}/sip_trunk/internal_numbers` - New `tracking_source` field in the **Webinar** webhook events: - `webinar.registration_approved` - `webinar.registration_cancelled` - `webinar.registration_created` - `webinar.registration_denied` - New `allow_users_to_delete_messages_in_meeting_chat` field in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/settings` - `GET /v2/accounts/{accountId}/lock_settings` - `GET /v2/groups/{groupId}/settings` - `GET /v2/groups/{groupId}/lock_settings` - `GET /v2/users/{userId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/lock_settings` - `PATCH /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/lock_settings` - `PATCH /v2/users/{userId}/settings` - New `zoom_room_type` field in the following **Rooms** APIs: - `GET /v2/rooms/{roomId}` - `PATCH /v2/rooms/{roomId}` - New `device_mac_addresses`, `device_hostname`, `device_manufacturer`, `device_model`, and `device_firmware` fields in the following **Rooms** APIs: - `GET /v2/rooms/{roomId}/devices` - New value `3` for `meeting_qos_and_mos` field in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - New `host_organization`, `host_name`, `has_screen_share`, `has_recording`, `has_chat`, `meeting_encryption_status`, `participants_count_my_account` response fields in the **Get Meeting Reports** API: - `GET /v2/report/users/{userId}/meetings` - New `zoom_translated_captions` field in the following **Settings** APIs: - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - New **Zoom Sales IQ** Plan Types in the following Billing APIs: - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` ## Bug Fixes - Fix bug where the `global_dial_in_countries` field was out-of-order in the following **Meeting** APIs: - `POST /v2/users/{userId}/meetings` - `PATCH /v2/meetings/{meetingId}` - `GET /v2/meetings/{meetingId}` - Fix bug where the `auto_recording` field was not setting up when using template in the **Webinar** API: - `POST /v2/users/{userId}/webinars` - Fix the undocumented error response when adding registrants to a deleted occurrence in the **Meeting** API: - `POST /v2/meetings/{meetingId}/registrants?occurrence_ids={occurrenceIds}` - Fix bug where the `location` field was missing in the following **Dashboard** API: - `GET /metrics/zoomrooms/{zoomroomId)` - Fix bug that the error message for the `schedule_for` field is incorrect in the **Meeting** and **Webinar** APIs: - `POST /v2/users/{userId}/meetings` - `PATCH /v2/meetings/{meetingId}` - `POST /v2/users/{userId}/webinars` - `PATCH /v2/webinars/{webinarId}`